#pragma once
#include "SPdbEthm.h"

// TabBurstMode 대화 상자

class TabBurstMode : public CDialogEx
{
	DECLARE_DYNAMIC(TabBurstMode)

public:
	TabBurstMode(CWnd* pParent = nullptr);   // 표준 생성자입니다.
	virtual ~TabBurstMode();
	_DevInformation m_stDeviceInfo;
	long** lpDataList;
	bool bBurstData;
	double dYRate, dXRate;

	void DrawGraph();
	void DrawPlotData(CDC* pDC, CRect rect,int iSelData);
// 대화 상자 데이터입니다.
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DLGTABBURSTMODE };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.

	DECLARE_MESSAGE_MAP()
public:
	int m_iDataCount;
	CSliderCtrl m_sldDataSld;
	afx_msg void OnBnClickedBtnBurststart();
	afx_msg void OnBnClickedBtnsave();
	CStatic m_pcGraph;
	CString m_strSelData;
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
};
